MCP Tools Reference: bigquerymigration.googleapis.com

Tool: translate_metadata

Translates a metadata zip file into Data Definition Language (DDL) statements and table mappings. NOTE: This feature is experimental and in active development. It may not work correctly and should be used with caution.

The following code sample shows how to use curl to call the translate_metadata MCP tool.

Curl Request
curl --location 'https://bigquerymigration.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "translate_metadata",
    "arguments": {
      // provide these details according to the tool's MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'

Input Schema

Request message for TranslateMetadata.

TranslateMetadataRequest

JSON representation
{
  "projectNumber": string,
  "location": string,
  "sourceDialect": string,
  "targetDialect": string,
  "metadataFileUri": string,
  "targetBaseUri": string
}
Fields
projectNumber

string

Required. The Google Cloud project number.

location

string

Required. The location.

sourceDialect

string

Required. The dialect of the source metadata.

targetDialect

string

Required. The dialect of the target queries.

metadataFileUri

string

Required. The Cloud Storage path of the metadata zip file for this batch translation. This must be a valid Cloud Storage URI starting with gs:// and must be a zip file ending with ".zip".

targetBaseUri

string

Required. The base URI for all writes to persistent storage in Cloud Storage. The generated DDL will be written to this URI.

Output Schema

Response message for TranslateMetadata.

TranslateMetadataResponse

JSON representation
{
  "state": string,
  "translation": string
}
Fields
state

string

The state of the batch translation workflow.

translation

string

The ID of the batch translation workflow.

Tool Annotations

Tool annotations are sent to MCP clients to describe the basic risk of a given tool. Most clients treat these hints as untrusted, but they can be used to decide when a confirmation prompt might be sent to a user.

Along with the title string, the following boolean hints are defined as follows:

  • readOnlyHint: If true, the tool doesn't modify its environment. Default: false.
  • destructiveHint: If true, then the tool can perform destructive actions. If false, then the tool can only perform additive actions. Default: true.
  • idempotentHint: If true, then calling the tool repeatedly with the same arguments will have no additional effect on its environment. Default: false.
  • openWorldHint: If true, then the tool can interact with an 'open world' of external entities. If false, then the tool can only interact with internal entities. For example, a web search tool would be open world, while a memory tool would not be open world.

Destructive Hint: ❌ | Idempotent Hint: ❌ | Read Only Hint: ❌ | Open World Hint: ✅